/**
 * CSE 154 Summer 2019
 * Exam 1
 * Problem 6 Solution (JS/Timers)
 */
"use strict";
(function() {
  let stopwatchTime = 0;
  let lapTime = 0;
  let timerId = null;

  window.addEventListener("load", init);

  function init() {
    id("stopwatch").addEventListener("click", toggleStopwatch);
    id("reset").addEventListener("click", resetStopwatch);
    id("lap").addEventListener("click", lap);
  }

  function toggleStopwatch() {
    if (timerId === null) {
      timerId = setInterval(function() {
        stopwatchTime++;
        lapTime++;
        console.log(stopwatchTime + " seconds");
      }, 1000);
    } else {
      clearInterval(timerId);
      timerId = null;
    }
  }

  function resetStopwatch() {
    stopwatchTime = 0;
    lapTime = 0;
  }

  function lap() {
    console.log("Lap time: " + lapTime + " seconds");
    lapTime = 0;
  }

  /* -------------------- Helper Function -------------------- */
  function id(idName) {
    return document.getElementById(idName);
  }

})();
